%global debug_package %{nil}

Name:         uboot-rpi3
License:      GPLv2
Version:      2018.03
Release:      1.0.6%{?dist}
Summary:      u-boot for raspberry pi 3
Group:        System Environment/Kernel
Source0:      u-boot-%{version}.tar.bz2
Source1:   arm-boards
Source2:   arm-chromebooks
Source3:   aarch64-boards
Source4:   aarch64-chromebooks
Source5:   10-devicetree.install

# Fedoraisms patches
Patch1:    uefi-use-Fedora-specific-path-name.patch

# general fixes
Patch2:    uefi-distro-load-FDT-from-any-partition-on-boot-device.patch
Patch3:    usb-kbd-fixes.patch
Patch4:    Add-fix-for-Pine64-gigabit-throughput-issues.patch
Patch5:    rk33xx-make_fit_atf-fix.patch
Patch6:    rk33xx-enable-make-itb.patch
Patch7:    net-Only-access-network-devices-after-init.patch

# Board fixes and enablement
Patch10:   dragonboard-fixes.patch
Patch11:   BeagleBoard.org-PocketBeagle.patch
Patch12:   mx6cuboxi-add-support-for-detecting-Revision-1.5-SoM.patch
Patch13:   rpi-3-plus-support.patch
# Patch19:   mvebu-enable-generic-distro-boot-config.patch

#Patch from Oracle
Patch100:	      allow-32M-sizeable-kernel.patch
Patch101:	      set_bootcmd.patch

Patch203:	      0003-rpi-fix-uboot-bootup-issue.patch
Patch204:	      0004-rpi-Complete-table-of-models-with-new-revision-code-.patch	
Patch205:	      0005-uboot-rpi-Load-board-specific-dtb-fdtfile-to-address.patch
Patch206: 	      0001-Raspberry-Pi-UEFI-Runtime-regions-are-not-aligned-to.patch
Patch207: 	      use-core-clock-frequency-in-bcm2835-sdhost.patch
Patch208: 	      0001-rpi-Boot-from-mmc-and-on-failure-fallback-to-usb.patch

BuildRequires: dtc

%description
u-boot for raspberry pi 3

%prep
%setup -q -n u-boot-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%patch100 -p0
%patch101 -p0

%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1

%build

# rpi3
make O=rpi3 rpi_3_defconfig
make O=rpi3 %{?_smp_mflags}

%install
mkdir -p %{buildroot}/boot/efi
cp -v rpi3/u-boot.bin %{buildroot}/boot/efi/kernel8.img

%files
/boot/efi/kernel8.img

%changelog
* Wed Jul 4 2018 Vijay Kumar <vijay.ac.kumar@oracle.com> [2018.03-1.0.6.el7]
- 0001-rpi-Boot-from-mmc-and-on-failure-fallback-to-usb.patch (vijay.ac.kumar@oracle.com) 

* Wed Jun 27 2018 Jacob Wang <jacob.wang@oracle.com> [2018.03-1.0.5.el7]
- Added use-core-clock-frequency-in-bcm2835-sdhost.patch (petr.benes@oracle.com:)

* Wed Jun 27 2018 Jacob Wang <jacob.wang@oracle.com> [2018.03-1.0.4.el7]
- Added 0001-Raspberry-Pi-UEFI-Runtime-regions-are-not-aligned-to.patch [bug 28075127](petr.benes@oracle.com)

* Thu Jun 21 2018 Vijay Kumar <vijay.ac.kumar@oracle.com> [2018.03-1.0.3.el7]
- Fix kernel8.img installation path (vijay.ac.kumar@oracle.com) 

* Tue Jun 12 2018 Jacob Wang <jacob.wang@oracle.com> [2018.03-1.0.2.el7]
- Makes uboot to load the devicetree based on board (vijay.ac.kumar@oracle.com) 

* Sun May 27 2018 Jacob Wang <jacob.wang@oracle.com> [2018.03-1.0.1.el7]
- Update to v2018.03 from upstream
  Merge patches/sources from http://vault.centos.org/7.4.1708/extras/Source/SPackages/uboot-tools-2018.03-2.el7.src.rpm 

* Wed Mar 28 2018 Jacob Wang <jacob.wang@oracle.com> [2017.09-1.0.2.el7]
- set default bootcmd

* Tue Mar 03 2018 Tianyue Lan <tianyue.lan@oracle.com> [2017.09-1.0.1.el7]
- allows for a sizable kernel up to 32M to be decompressed [bug 27723919]

* Tue Oct 31 2017 Tianyue Lan <tianyue.lan@oracle.com> [2017.09-1]
- Initial build
